<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;
use Illuminate\Support\Facades\DB;
return new class extends Migration {
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('activity_user', function (Blueprint $table) {
            $table->decimal('betting_amount', 10)->default(0)->comment('打码量');
        });

        DB::statement('ALTER TABLE bot_activity_user MODIFY COLUMN effective_betting_amount decimal(10,2) NOT NULL DEFAULT 0 COMMENT "用户已完成的打码量"');

    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        //
    }
};
